Skip to content
Get started

Updates store product properties (min/max, prices, forecast, attention codes, replenishment, etc.) for one or more products at a store.

PUT/api/v2/public/stores/{store_number}/storeproducts

Updates store product properties (min/max, prices, forecast, attention codes, replenishment, etc.) for one or more products at a store.

Path ParametersExpand Collapse
store_number: string
Body ParametersJSONExpand Collapse
products: optional array of object { product_number, adjustment_level_decrease, adjustment_level_increase, 26 more }

The store product updates to apply.

product_number: string

The product number.

minLength1
adjustment_level_decrease: optional number

Adjustment level decrease value for the product at the store.

formatfloat
adjustment_level_increase: optional number

Adjustment level increase value for the product at the store.

formatfloat
attention_codes: optional array of string

Attention codes applied to the product at the store.

average_array: optional array of number

Average values aligned with average_keys.

average_keys: optional array of string

Keys for the average array.

counting_assignment_code: optional string

Counting assignment code for the product at the store.

default_salesorder_type: optional string

Default sales order type for the product at the store.

delivery_datetimes: optional array of string

Upcoming delivery date/times.

demand_until_delivery: optional number

Forecasted demand until next delivery.

formatfloat
discount_price: optional number

Discounted price.

formatfloat
expiry_date_time: optional string

Expiry date/time for the product at the store.

formatdate-time
forecast: optional number

Forecast value for the product at the store.

formatfloat
forecast_array: optional array of number

Forecast values aligned with forecast_keys.

forecast_keys: optional array of string

Keys (e.g. week identifiers) for the forecast array.

group_code: optional string

Group code used for replenishment/order grouping.

history_array: optional array of number

History values aligned with history_keys.

history_keys: optional array of string

Keys for the history array.

is_promotion: optional boolean

Whether the product is currently in promotion.

is_replenishment: optional boolean

Whether replenishment is enabled for the product at the store.

max: optional number

Maximum stock level for the product at the store.

formatint32
min: optional number

Minimum stock level for the product at the store.

formatint32
next_delivery_date: optional string

Next delivery date.

formatdate-time
next_ordering_date: optional string

Next ordering date.

formatdate-time
order_level: optional number

Order level used for replenishment.

formatfloat
ordering_datetimes: optional array of string

Upcoming ordering date/times.

price: optional number

Sale price.

formatfloat
replenishment_action: optional string

Replenishment action for the product at the store.

validate_expiry_date_time: optional string

Date/time the expiry was last validated.

formatdate-time
ReturnsExpand Collapse
success: boolean

Indicates whether the operation completed successfully.

data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

Updates store product properties (min/max, prices, forecast, attention codes, replenishment, etc.) for one or more products at a store.

curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/storeproducts \
    -X PUT \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "success": true,
  "data": "data",
  "message": "message"
}
Returns Examples
{
  "success": true,
  "data": "data",
  "message": "message"
}